Bug 176277 - Need nonav mode for wiki
Need nonav mode for wiki
Status: REOPENED
Product: www
Classification: Unclassified
Component: Web Content
6.x
PC Linux
: P3 (vote)
: TBD
Assigned To: Jan Pirek
Jan Pirek
: REGRESSION
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-09 11:41 UTC by Jesse Glick
Modified: 2012-05-25 13:21 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2009-11-09 11:41:42 UTC
For bugs we can use .../nonav/... to omit large and heavyweight site chrome from the page display. But there seems to be no such option in the migrated wiki.

Even in "Printable" mode, e.g.

http://wiki.netbeans.org/wiki/index.php?title=BrowserTools&printable=yes

you still see all the site chrome, effectively making it useless for printing.

This is a regression from the JSPWiki setup.
Comment 1 Petr Blaha 2009-11-10 06:42:29 UTC
Assign to Michal.
Comment 2 Michal Mocnak 2009-11-10 07:40:15 UTC
Actually the printable view has been fixed todays early morning. Sometimes you need to delete browser's cache to avoid problems.
Comment 3 Jesse Glick 2009-11-12 15:01:50 UTC
?printable=yes is fixed, thanks. That was a side note, not the point of this issue, which is that whereas under JSPWiki there was no site chrome, now there is nb.org site chrome surrounding the useful wiki content. This is bad for serious wiki users: less usable screen area, bigger image downloads, more visual distraction. We need the equivalent of /nonav for wiki, i.e. a way to delete everything which is "INCLUDED CODE FROM NB.ORG". In the short term I can probably Greasemonkey the chrome out.
Comment 4 Jesse Glick 2009-11-12 15:06:25 UTC
Rather, not quite deleting all of "INCLUDED CODE FROM NB.ORG", since that deletes the toolbox too. But most of it.
Comment 5 Michal Mocnak 2009-11-18 05:49:47 UTC
I figured out that mediawiki has switch for templates:

http://wiki.netbeans.org/wiki/index.php?title=Main_Page&useskin=monobook

So i am able to prepare new skin for nonav mode and set rewrite rules in apache to translate http://wiki.netbeans.org/nonav/<PAGE> to http://wiki.netbeans.org/wiki/index.php?title=<PAGE>&useskin=nonav

Problem is the internal links can't do that. Possible solution is to set cookie or session variable which handles internal wiki links. What do you think about it ?
Comment 6 Jesse Glick 2009-11-18 16:05:55 UTC
Whatever you think would work. Firefox users could use a Greasemonkey script to redirect to the nonav version, which would help with the screen usage problem but make load time worse rather than better (since the chromeful page must be loaded completely before it can redirect).
Comment 7 RobertPattinson 2012-05-25 13:21:48 UTC
SPAM - Removed by Administrator


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo